

import 'package:equatable/equatable.dart';

class ForgetPasswordState extends Equatable{
  const ForgetPasswordState();

  @override
  List<Object> get props => [];

}

class InitialForgetState extends ForgetPasswordState{}

class LoadingForgetState extends ForgetPasswordState{}

class SuccessForgetState extends ForgetPasswordState{}

class FailureForgetState extends ForgetPasswordState {
  final String error;
  const FailureForgetState({required this.error});
  @override
  List<Object> get props => [error];
}


class TimerState extends ForgetPasswordState {
  final bool isButtonEnabled ;
  final int remainingTime;

  const TimerState({required this.isButtonEnabled, required this.remainingTime});

  @override
  List<Object> get props => [isButtonEnabled, remainingTime];
}